﻿@model Domain.Entities.Quiz

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container-fluid">

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>
        <li class="breadcrumb-item active"> Edit </li>

    </ol>

    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h1>Quiz</h1>
            <div class="card-body">
                <form action="#">


                    <div class="form-group row">
                        @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">
                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                    <div class="form-group row ">
                        @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">
                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                    <div class="form-group row">
                        @Html.LabelFor(model => model.StartDate, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">
                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.StartDate, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
                            </div>
                        </div>
                        </div>

                    <div class="form-group row">
                        @Html.LabelFor(model => model.PublisherId, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                        <div class="col-sm-9 col-md-4">
                            <div class="input-group">

                                <span class="input-group-addon" id="sizing-addon2">#</span>
                                @Html.EditorFor(model => model.PublisherId, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.PublisherId, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>



                        <div class="form-group row">
                            @Html.LabelFor(model => model.Score, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Score, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Score, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">

                            <button type="submit" value="Create" class="btn btn-success try-sweet-successMessage">Save</button>

                            <button class="btn btn-warning" onclick="location.href='@Url.Action("All", "Quiz")';return false;">Cancel</button>

                        </div>
                    </div>
</form>
            </div>
        </div>
    }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>